Katello-devel-install fails due to broken URL in puppet-rvm

04/28/2014 10:51 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Installation fails for me:

[ERROR 2014-04-28 10:36:53 verbose]  bash -c '/usr/bin/curl -s https://raw.github.com/wayneeseguin

/rvm/master/binscripts/rvm-installer -o /tmp/rvm-installer &&                 chmod +x /tmp/rvm-in

staller &&                 rvm_bin_path=/usr/local/rvm/bin rvm_man_path=/usr/local/rvm/man /tmp/rv

m-installer --version latest &&                 rm /tmp/rvm-installer' returned 1 instead of one o

f [0]

 See:

 https://github.com/blt04/puppet-rvm/pull/114

How do you guys handle it when upstream puppet module breaks?

Foreman's using git submodules, so the last time this happened, someone forked

the module and pointed Foreman to our own fixed copy until upstream was

fixed.

For now, I worked around it by just putting rvm-installer into /tmp myself.

Associated revisions

Revision 10f7e1a9 - 04/30/2014 06:42 AM - Eric D Helms 

Fixes #5467, #5494: Removes reliance on external RVM module and switches to single user install.

Removes the reliance on an external RVM module to allow installation as

the devel deployment user. Switches to using the 'vcsrepo' puppet module

to alleviate issues with switching directories when cloning. Lastly,

adds user creation and sets the user password to 'changeme' for all

devel deployments.

Revision 2ffe9d43 - 04/30/2014 01:17 PM - Eric Helms

Merge pull request #5 from ehelms/fixes-5467

Fixes #5467, #5494: Removes reliance on external RVM module and switches...

Revision dc1e082a - 05/02/2014 01:10 PM - Eric Helms

Merge pull request #52 from ehelms/fixes-devel-issues

Fixes #5495, #5472, #5467 - Updates to the devel module to address RVM issues.

History

#1 - 04/28/2014 01:46 PM - Stephen Benjamin

Looks like this module's ownership has been taken up by these guys:
https://github.com/blt04/puppet-rvm/pull/114


https://github.com/maestrodev/puppet-rvm

#2 - 05/02/2014 02:01 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|commit:dc1e082a2cc58741ef720c4cd530bbff0eafee5a.

#3 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#4 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
